Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007112OCamltypingpublic2016-01-02 11:142017-02-27 15:48
Reporterlpw25 
Assigned Togarrigue 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version4.02.3 
Target Version4.03.0+dev / +beta1Fixed in Version4.04.0 
Summary0007112: Aliased arguments ignored for equality of module types
DescriptionModule aliases are not taken account of in arguments to functors when checking equality of abstract module types:

  # module F (_ : sig end) = struct module type S end;;
  module F : functor (_ : sig end) -> sig module type S end

  # module M = struct end;;
  module M : sig end

  # module N = M;;
  module N = M

  # module G (X : F(N).S) : F(M).S = X;;
  Characters 33-34:
    module G (X : F(N).S) : F(M).S = X;;
                                     ^
  Error: Signature mismatch:
         Modules do not match: F(N).S is not included in F(M).S
         Unbound module type F(M).S
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0007204closedlpw25 Module aliases not expanded when comparing abstract module types 

-  Notes
(0015522)
garrigue (manager)
2016-03-16 18:24

Fixed in trunk by commit 2913cf1.

Not something really urgent, and do not want to break anything.

- Issue History
Date Modified Username Field Change
2016-01-02 11:14 lpw25 New Issue
2016-01-05 14:34 frisch Assigned To => garrigue
2016-01-05 14:34 frisch Severity minor => major
2016-01-05 14:34 frisch Status new => assigned
2016-01-05 14:34 frisch Target Version => 4.03.0+dev / +beta1
2016-03-16 18:24 garrigue Note Added: 0015522
2016-03-16 18:24 garrigue Status assigned => resolved
2016-03-16 18:24 garrigue Fixed in Version => 4.03.1+dev
2016-03-16 18:24 garrigue Resolution open => fixed
2016-04-01 15:19 lpw25 Relationship added has duplicate 0007204
2017-02-23 16:45 doligez Category OCaml typing => typing
2017-02-27 15:48 lpw25 Status resolved => closed
2017-02-27 15:48 lpw25 Fixed in Version 4.03.1+dev => 4.04.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker